@font-face {
    font-family: 'CrimsonText';
    src: url('fonts/CrimsonText-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.body {
    margin: 0;
    padding: 0;
}
.bodyInMainMenu {
    margin: 0;
    padding: 0;
    background-color: #232323;
}
#bgCanvas {
    display: block;
    position: absolute;
    z-index: -1;
}

.topBar {
    display: flex;
    width: 100%;
    height: 3vw;
    background-color: #232323; 
}

.gamesTitleParent {
    display:flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 12vw;
}
.gamesTitleImg {
    width: 40%;
    /* height:100%; */
    background:none;
    border:none;
    user-select:none;


    transition: width 1.5s ease;
    /* max-height: 30vh; */
    /* aspect-ratio: 16/9; */

}
.gamesTitleImg:hover {
    width: 50%;
}

.gamesTitleIcon {
    margin-top: 2vw;
    width: 100%;
}


.barButton {
    height: 100%; 
    font-family: "CrimsonText";
    font-size: 2vw;
    font-weight: normal;
    background:none;
    border:none;
    user-select:none;
    color: #FFFFFF;
    margin-left: 1.5vw;

    transition: font-size 0.2s ease;
}
.barButton:hover {
    font-family:"Arial";
    font-weight: bold;
    font-size: 2.2vw;
    
}
.descParent {
    display:flex;
    width: 100%;
    
}
.descSide {
    width: 10%;
    height: 100%;
}
.descMain {
    width: 80%;
    height: 100%; 
    color: #FFFFFF;
    font-family: "CrimsonText";
    text-align: center;
    font-size: 1.5vw;

}

.descUnderParent {
    display: flex;
    margin: 0;
    flex-direction:column;
}
.descUnder {
    flex-grow: 1;
    height: 2vw;

}

.games {
    /* display: block; */
    width: 10vw;
}
.gamesBarButton:hover {
    color: #1B8AC1;
}
.mediaBarButton:hover {
    color: #AF7CA6;
}
.reviewsBarButton:hover {
    color: #A69265;
}
.blogBarButton:hover {
    color: #B75252;
}
.aboutBarButton:hover {
    color: #699C64;
}
.contactBarButton:hover {
    color: #888888;
}

.barButtonImg {
    width: 100%;
    height: 100%;
}

.socialMediaDivParent {
    display:flex;
    justify-content: flex-end;
    width: 100%;
}
.socialMediaDiv {
    display: flex;
    gap: 2vw;
    margin-right: 2vw;
    /* margin-left: auto;
    margin-right: 0; */
    /* display:flex; */
    /* width: 100%; */
}
.socialMediaAnchor {
    width: 100%;
    height: 100%;
    display: flex;
    align-items:center;
    /* height: auto; */
    /* max-width: 50%; */
    /* width: 10%; */
    /* height: 100%; */
    /* background-color: transparent; */
    transition: width 0.05s ease;
    transition: height 0.05s ease;
}
.socialMediaAnchor:hover {

    width: 107%;
    height: 107%;
}

.socialMediaImg {
    height: 100%;
    width: 100%;
    /* height: auto; */
    /* width: 100%; */
    /* width: 2vw; */
}

.optionParent {
    display: flex;
    flex-direction: column;
    justify-content:center;
}

.optionShared {
    background: none;
    border: none;
    user-select: none;

    /* center and width */
    width: 25%;
    margin: auto;    
    
    /* so hover bg doesn't overlap things */
    position: relative;
    z-index: 0;

    /* bg color transition */
    transition: background-color 0.2s ease;
    transition: width 0.025s ease;
}

@media (max-width: 768px) {
    .optionShared {
        background-color: red;
        margin-top: 100px;
    }
}
.optionShared:hover {
    width: 30%;
}

.titleParent {
    display: flex;
    justify-content: center;
    
}


.titleButton {
    background: none;
    border: none;
    user-select: none;

    width: 50%;
    margin-bottom: -4vh;

    transition: width 1.5s ease;
    /* background-color: #b51f1f; */
    /* mix-blend-mode: multiply; */

}
.titleButton:hover {
    width:70%;
    cursor: pointer;
}
.titleIcon {
    width: 100%;
    position: relative;
    z-index: 1;
    /* transition: background-color 8.0s ease; */
}

.optionIconShared {
    width: 28%;
}
.optionTextShared {
    width: 52%;
}
.gamesOption:hover {
    background-color: #1B8AC1;
}
.mediaOption:hover {
    background-color: #AF7CA6;
}
.reviewsOption:hover {
    background-color: #A69265;
}
.blogOption:hover {
    background-color: #B75252;
}
.aboutOption:hover {
    background-color: #699C64;
}
.contactOption:hover {
    background-color: #888888;
}


